Instant Messages
Instant messages let you send a one-off email or SMS review request to a contact outside of a campaign, directly via the API.
POST/v1/instant_messages
Send an instant message
Sends an email and/or SMS to a contact using the account's active campaign template. Creates the contact if they don't exist yet.
Free accounts are limited to a set number of instant messages. Subscribed accounts have unlimited access.
Contact identification
Provide either contact_id (existing contact) or email (to find or create a contact).
- Name
contact_id- Type
- string
- Description
ID of an existing contact to message.
- Name
email- Type
- string
- Description
Email address to find or create a contact.
Message options
- Name
send_email- Type
- boolean
- Description
Send an email message. Pass
trueto enable.
- Name
send_sms- Type
- boolean
- Description
Send an SMS message. Pass
trueto enable.
Contact attributes (when creating by email)
- Name
first_name- Type
- string
- Description
- Contact's first name.
- Name
last_name- Type
- string
- Description
- Contact's last name.
- Name
phone- Type
- string
- Description
- Contact's phone number (required for SMS).
Request
POST
/v1/instant_messagescurl https://dashboard.reviewrover.co/api/v1/instant_messages \
-H "Authorization: Bearer {token}" \
-d email="[email protected]" \
-d first_name="Frank" \
-d send_email=true
Response
{
"contact": {
"id": "cont_KYdl3lftgZXGRbxqoj",
"name": "Frank McCallister",
"email": "[email protected]",
"phone": null
},
"sent": ["email"],
"usage": {
"current": 3,
"limit": 10,
"remaining": 7
}
}
